/*

Taeho Oh ( ohhara@postech.edu, ohhara@plus.or.kr )    http://ohhara.sarang.net
Postech ( Pohang University of Science and Technology ) http://www.postech.edu
PLUS ( Postech Laboratory for Unix Security )            http://www.plus.or.kr

 */

#ifndef _OH_TRMOD_H_
#define _OH_TRMOD_H_

#include <windows.h>

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#ifndef OTHEXPORT
#define OTHEXPORT __declspec(dllimport)
#endif

#define OTHCALL __stdcall

typedef struct OTHTR
{
  LPVOID pSetting;
  LPWSTR lpStr;
  int iLen;
  char reserved[24];
} OTHTR;

OTHEXPORT int OTHCALL OthTransInit(OTHTR *pTR);
OTHEXPORT int OTHCALL OthTransSetting(OTHTR *pTR);
OTHEXPORT int OTHCALL OthTransCopySetting(OTHTR *pDestTR, OTHTR *pSrcTR);
OTHEXPORT int OTHCALL OthTranslate(OTHTR *pTR, LPCWSTR lpStr, int iLen);
OTHEXPORT int OTHCALL OthTransDestroy(OTHTR *pTR);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_TRMOD_H_ */
